import request from '../../../../utils/request'
//设备设施

//DM033
export function DMDeviceBasePurchaseList(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DeviceBasePurchase/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM013
export function DMDeviceApplyList(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DeviceApply/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM015
export function DMDeviceIssueList(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DeviceIssue/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM009 031
export function DMDMDeviceCheckList(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceCheck/OrderPagedSuit", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM007
export function DeviceMaintenancePlanList(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DeviceMaintenancePlan/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM029
export function DMDeviceMaintenanceCheckList(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceMaintenanceCheck/FullOrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM019
export function DeviceRepairList(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DeviceRepair/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM021
export function DMDeviceOverhaulList(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceOverhaul/FullOrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM011
export function DMDetectionInspectionRecordList(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDetectionInspectionRecord/FullOrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM044
export function DeviceScrapList(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DeviceScrap/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}



//DM034
export function DMDeviceBasePurchaseGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceBasePurchase/GetEdit", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDeviceGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/Device/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMCategoryGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/Category/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMTypeGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/Type/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDeviceBasePurchaseFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceBasePurchase/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM034_SHOWPRINT
export function DMDBPShowGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DeviceBasePurchase/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}

//DM014
export function DMDeviceApplyGetEdit(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceApply/GetEdit", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDeviceApplyGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DeviceApply/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDeviceBase(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DeviceBase/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDepartment(params) {
	return new Promise((resolve, reject) => {
		request.post("/FM/Department/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMOrderPagedAuthority(params) {
	return new Promise((resolve, reject) => {
		request.post("/FM/User/OrderPagedAuthority", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDevicePurchase(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDevicePurchase/PostOrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDeviceApplyFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceApply/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM016
export function DMDeviceIssueGetEdit(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceIssue/GetEdit", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDeviceIssueGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DeviceIssue/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDMDeviceIssueFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceIssue/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMUser(params) {
	return new Promise((resolve, reject) => {
		request.post("/FM/User/OrderPaged", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDeviceIssueIden(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceIssue/IdentityUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM010

export function DeviceCheckGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DeviceCheck/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDeviceCheckGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceCheck/GetSuit", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDeviceCheckFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceCheck/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceCheck/Check", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM008
export function DMPGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DeviceMaintenancePlan/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMPGetAll(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceMaintenancePlan/GetAll", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMPFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceMaintenancePlan/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMPSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceMaintenancePlan/Check", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM020
export function DMRepairGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceRepair/GetEdit", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMRepairFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceRepair/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM030
export function DMMaintenanceGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceMaintenanceCheck/GetShow", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMMaintenanceFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceMaintenanceCheck/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function FMUserUseful(params) {
	return new Promise((resolve, reject) => {
		request.post("/FM/FMUser/OrderPagedUseful", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMCSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceMaintenanceCheck/Check", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM022
export function DMDeviceOverhaulGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceOverhaul/FullGet", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDeviceOverhaulFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceOverhaul/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDeviceOverhaulSign(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceOverhaul/IdentityUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM012
export function DIRecordGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DetectionInspectionRecord/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DIRecordFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDetectionInspectionRecord/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
//DM045
export function DMDeviceScrapGet(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceScrap/GetEdit", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDeviceScrapFull(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DMDeviceScrap/FullUpdate", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}
export function DMDeviceScrap(params) {
	return new Promise((resolve, reject) => {
		request.post("/DM/DeviceScrap/Get", params).then((result) => {
			if (result.IsSuccessful) {
				resolve(result.Data);
			}
		}).catch((error) => {
			reject(error)
		})
	})
}